--[[
TODO: (Updated 10/25/2007

*Add Drum recipes to vendors
*Fix remaining Enchanting Oils to actually work
:ODOT

Enchants
[-enchantid]name/description

Zones
[index]name

Vendors
[index]name|zone|faction|location|comment

]]

if GetLocale() ~= 'deDE' then return end;

if not TradeskillInfo or not TradeskillInfo.vars then return end
if not TradeskillInfo_Translations then
	TradeskillInfo_Translations = {}
end

-- Local translation function
local function TT(text)
	if TradeskillInfo_Translations[text] and TradeskillInfo_Translations[text] ~= "" then
		return TradeskillInfo_Translations[text]
	end
	return text
end

TradeskillInfo.vars.tradeskills = {
	['A'] = TT("Alchimie"),
	['B'] = TT("Schmiedekunst"),
	['D'] = TT("Verzauberkunst"),
	['E'] = TT("Ingenieurskunst"),
	['J'] = TT("Juwelenschleifen"),
	['L'] = TT("Lederverarbeitung"),
	['T'] = TT("Schneiderei"),
	['W'] = TT("Kochkunst"),
	['X'] = TT("Erste Hilfe"),
	['Y'] = TT("Bergbau"),
	['Z'] = TT("Gifte"),
}

TradeskillInfo.vars.specializations = {
	['a'] = "R\195\188stungsschmied",
	['w'] = "Waffenschmied",
	['ws'] = "Schwertschmiedemeister",
	['wh'] = "Hammerschmiedemeister",
	['wx'] = "Axtschmiedemeister",
	['d'] = "Drachenlederverarbeitung",
	['e'] = "Elementarlederverarbeitung",
	['t'] = "Stammeslederverarbeitung",
	['g'] = "Gnomeningenieur",
	['b'] = "Gobliningenieur",
	['p'] = "Zauberfeuerschneiderei",
	['s'] = "Schattenzwirnschneiderei",
	['m'] = "Mondstoffschneiderei",
}

TradeskillInfo.vars.sources = {
	['V'] = "Verk\195\164ufer",
	['Va'] = "Allianzverk\195\164ufer",
	['Vh'] = "Hordenverk\195\164ufer",
	['D'] = "Loot",
	['C'] = "hergestellt",
	['Ca'] = "Alchimie",
	['Cb'] = "Schmiedekunst",
	['Cn'] = "Verzauberkunst",
	['Ce'] = "Ingenieurskunst",
	['Cj'] = "Juwelenschleifen",
	['Cl'] = "Lederverarbeitung",
	['Ct'] = "Schneiderei",
	['Cc'] = "Kochkunst",
	['Cf'] = "Erste Hilfe",
	['Cp'] = "Gifte",
	['Cs'] = "Verh\195\188ttung",
	['M'] = "Bergbau",
	['Ma'] = "Kupfervorkommen",
	['Mb'] = "Zinnvorkommen",
	['Mc'] = "Silbervorkommen",
	['Md'] = "Goldvorkommen",
	['Me'] = "Eisenvorkommen",
	['Mf'] = "Mithrilablagerung",
	['Mg'] = "Echtsilberablagerung",
	['Mh'] = "Dunkeleisenablagerung",
	['Mi'] = "Hakkari Thoriumvorkommen",
	['Mj'] = "jegliches Thoriumvorkommen",
	['Mk'] = "Reiches Thoriumvorkommen",
	['Ml'] = "Teufelseisenvorkommen",
	['Mm'] = "Adamantitablagerung",
	['Mn'] = "Khoriumvorkommen",
	['H'] = "Kr\195\164uterkunde",
	['S'] = "K\195\188rschnerei",
	['Sa'] = "Wildtiere lvl 1-10",
	['Sb'] = "Wildtiere lvl 1-20",
	['Sc'] = "Wildtiere lvl 20-30",
	['Sd'] = "Wildtiere lvl 30-40",
	['Se'] = "Wildtiere lvl 40-50",
	['Sf'] = "Wildtiere lvl 50-60",
	['Sg'] = "Schattenpanther. Schlingendorntal, S\195\188mpfe des Elends", -- 7428
	['Sh'] = "Schildkr\195\182ten lvl 40-60", -- 8167
	['Si'] = "Skorpide lvl 40-50", -- 8154
	['Sj'] = "Skorpide lvl 50-60", -- 15408
	['Sk'] = "Drachkin lvl 40-60+", -- 8165
	['Sl'] = "Elite Drachkin lvl 50-60+", -- 15412, 15414, 15415, 15416,
	['Sm'] = "Winters\195\164bler. Winterspring", -- 15422
	['Sn'] = "Teufelssaurier. Ungoro Crater", -- 15417
	['So'] = "Schim\195\164ren. Azshara, Winterquell, D\195\188sterbruch", -- 15423
	['Sp'] = "W\195\182lfe lvl 40-60", -- 8368
	['Sq'] = "B\195\164ren lvl 50-60", -- 15419
	['Sr'] = "Flederm\195\164use. Zul'Gurub", -- 19767
	['Ss'] = "Tiger. Zul'Gurub", -- 19768
	['St'] = "Uralter Kernhund, Magmadar. The Molten Core", -- 17012
	['Su'] = "Silithide. Silithus", -- 20501,20498
	['Sv'] = "Emeriss, Lethon, Taerar, Ysondre", -- 20381
	['Sw'] = "Onyxia. Onyxia's Lair", -- 20381
	['Sy'] = "Wildtiere. H\195\182hlen des Wehklagens",
	['Sz'] = "Drachenwelpen. Sumpfland",
	['Saa'] = "Drachenwelpen. Rotkammgebirge",
	['Sab'] = "Drachenwelpen. S\195\188mpfe des Elends",
	['Sac'] = "Raptoren lvl 30-40",
	['F'] = "Angeln",
	['E'] = "Entzaubert",
	['Ea'] = "Gegenst\195\164nde lvl 1-20",
	['Eb'] = "Gegenst\195\164nde lvl 1-10",
	['Ec'] = "Gegenst\195\164nde lvl 11-15",
	['Ed'] = "Gegenst\195\164nde lvl 16-20",
	['Ee'] = "Gegenst\195\164nde lvl 21-30",
	['Ef'] = "Gegenst\195\164nde lvl 21-25",
	['Eg'] = "Gegenst\195\164nde lvl 26-30",
	['Eh'] = "Gegenst\195\164nde lvl 31-40",
	['Ei'] = "Gegenst\195\164nde lvl 31-35",
	['Ej'] = "Gegenst\195\164nde lvl 36-40",
	['Ek'] = "Gegenst\195\164nde lvl 41-50",
	['El'] = "Gegenst\195\164nde lvl 41-45",
	['Em'] = "Gegenst\195\164nde lvl 46-50",
	['En'] = "Gegenst\195\164nde lvl 51-60",
	['Eo'] = "Epische Gegenst\195\164nde lvl 51-60",
	['Ep'] = "Gegenst\195\164nde lvl 57-63",
	['Eq'] = "Gegenst\195\164nde lvl 64+",
	['Er'] = "Gegenst\195\164nde lvl 57+",
	['Es'] = "Epische Gegenst\195\164nde lvl 57+",
	['G'] = "gesammelt",
	['P'] = "Taschendiebstahl",
	['Q'] = "Quest",
	['Qa'] = "Allianzquest",
	['Qh'] = "Hordenquest",
	['T'] = "Lehrer",
	['Ts'] = "Spezialisierungslehrer",
	['X'] = "nicht verf\195\188gbar",
	['R'] = "Sondieren",
	['U'] = "Unbekannt",
}

TradeskillInfo.vars.zones = {
	[1] = "Alteracgebirge",
	[2] = "Arathihochland",
	[3] = "Eschental",
	[4] = "Azshara",
	[5] = "\195\150dland",
	[6] = "Schwarzfelstiefen",
	[7] = "Verw\195\188stete Lande",
	[8] = "Brennende Steppe",
	[9] = "Dunkelk\195\188ste",
	[10] = "Darnassus",
	[11] = "Desolace",
	[12] = "D\195\188sterbruch",
	[13] = "Dun Morogh",
	[14] = "Durotar",
	[15] = "D\195\164mmerwald",
	[16] = "D\195\188stermarschen",
	[17] = "\195\150stliche Pestl\195\164nder",
	[18] = "Wald von Elwynn",
	[19] = "Teufelswald",
	[20] = "Feralas",
	[21] = "Gnomeregan",
	[22] = "Vorgebirge des H\195\188gellands",
	[23] = "Eisenschmiede",
	[24] = "Loch Modan",
	[25] = "Mondlichtung",
	[26] = "Mulgore",
	[27] = "Naxxramas",
	[28] = "Orgrimmar",
	[29] = "Rotkammgebirge",
	[30] = "Ruinen von Ahn'Qiraj",
	[31] = "Silithus",
	[32] = "Silberwald",
	[33] = "Steinkrallengebirge",
	[34] = "Sturmwind",
	[35] = "Schlingendorntal",
	[36] = "S\195\188mpfe des Elends",
	[37] = "Tanaris",
	[38] = "Teldrassil",
	[39] = "Brachland",
	[40] = "The Hinterlands",
	[41] = "Tausend Nadeln",
	[42] = "Donnerfels",
	[43] = "Tirisfal",
	[44] = "Krater von Un'Goro",
	[45] = "Unterstadt",
	[46] = "H\195\182hlen des Wehklagens",
	[47] = "Westliche Pestl\195\164nder",
	[48] = "Westfall",
	[49] = "Sumpfland",
	[50] = "Winterquell",
	[51] = "Stratholme",
	[52] = "Scholomance",
-- Burning Crusade
	[53] = "H\195\182llenfeuerhalbinsel",
	[54] = "Immersangwald",
	[55] = "Silbermond",
	[56] = "Karazhan",
	[57] = "Azurmythosinsel",
	[58] = "Die Exodar",
	[59] = "Schergrat",
	[60] = "Shattrath",
	[61] = "Nethersturm",
	[62] = "Geisterlande",
	[63] = "Vorgebirge des alten H\195\188gellands",
	[64] = "Blutmythosinsel",
	[65] = "Schattenmondtal",
	[66] = "W\195\164lder von Terokkar",
	[67] = "Zangarmarschen",
	[68] = "Gebirgspass der Totenwinde",
	[69] = "Nagrand",
	[70] = "Schwarzer Tempel",
	[71] = "Hyjalgipfel",
	[72] = "Insel von Quel'Danas",
}

TradeskillInfo.vars.factions = {
	[1] = FACTION_ALLIANCE,
	[2] = FACTION_HORDE,
	[3] = "",
	[4] = "Argentumd\195\164mmerung",
	[5] = "Zirkel des Cenarius",
	[6] = "Thoriumbruderschaft",
	[7] = "Holzschlundfeste",
	[8] = "Stamm der Zandalar",
-- Burning Crusade
	[9] = "H\195\188ter der Zeit",
	[10] = "Die W\195\164chter der Sande",
	[11] = "Das Violette Auge",
	[12] = "Expedition des Cenarius",
	[13] = "Sporeggar",
	[14] = "Thrallmar",
	[15] = "Ehrenfeste",
	[16] = "Die Mag'har",
	[17] = "Kurenai",
	[18] = "Das Konsortium",
	[19] = "Die Seher",
	[20] = "Die Aldor",
	[21] = "Die Sha'tar",
	[22] = "Unteres Viertel",
	[23] = "Die Todesh\195\182rigen",
	[24] = "Offensive der Zerschmetterten Sonne",

}
-- Kurenai / The Mag'har
-- Honor Hold / Thrallmar
-- The Scryers / The Aldor

TradeskillInfo.vars.vendors = {
-- "name|zone|faction|location|comment"
	[1] = "Abigail Shiel|43|2|61,52",
	[2] = "Aendel Windspeer|31|5|63,50",
	[3] = "Alchimist St\195\182\195\159elbruch|37|3|51,27",
	[4] = "Alexandra Bolero|34|1|43,74",
	[5] = "Algernon|45|2|52,74",
	[6] = "Amy Davenport|29|1|29,47",
	[7] = "Andrew Hilbert|32|2|43,40",
	[8] = "Androd Fadran|2|1|45,47",
	[9] = "Argentumr\195\188stmeister Hasana|43|4|83,68",
	[10] = "Argentumr\195\188stmeister Funkellicht|47|4|43,84",
	[11] = "Balai Lok'Wein|16|2|36,31",
	[12] = "Bale|19|2|35,53",
	[13] = "Banalash|36|2|45,57",
	[14] = "Blimo Federdings|4|3|46,90",
	[15] = "Blixrez Gutstich|35|3|28,77",
	[16] = "Blizrik Bockschuss|37|3|52,28",
	[17] = "Bliztik|15|3|18,54",
	[18] = "Bombus Feinspindel|23|1|40,34",
	[19] = "Borya|28|2|63,51",
	[20] = "Brienna Sternenglanz|20|1|89,46",
	[21] = "Bro'kin|1|3|38,39",
	[22] = "Bronk Muffenschlinger|20|2|76,43",
	[23] = "Catherine Leland|34|1|46,59",
	[24] = "Christoph Jeffkott|22|2|63,19",
	[25] = "Clyde Ranthal|29|1|89,70",
	[26] = "Constance Brisboise|43|2|52,55",
	[27] = "Korporal Bluth|35|1|38,3",
	[28] = "Feiger Crosby|35|3|27,83",
	[29] = "Crazk Funks|35|3|28,77",
	[30] = "Dalria|3|1|36,52",
	[31] = "Daniel Bartlett|45|2|64,38",
	[32] = "Danielle Stichelnaht|15|1|76,46",
	[33] = "Darian Singh|34|1|30,68",
	[34] = "Darnall|25|3|52,33",
	[35] = "Schieber der Defias|48|1|44,68",
	[36] = "Deneb Wandler|2|1|27,59",
	[37] = "Derak Nachtlauer|22|2|62,20",
	[38] = "Dirge Schnetzelhack|37|3|53,28",
	[39] = "Drac Grobschnitt|24|1|36,49",
	[40] = "Drake Lindgren|18|1|83,67",
	[41] = "Drovnar Starkbr\195\164u|2|1|46,47",
	[42] = "Elynna|10|1|64,22",
	[43] = "Emrul Riknussun|23|1|60,38",
	[44] = "Erika Tate|34|1|76,37",
	[45] = "Evie Wirbelbr\195\164u|50|3|61,38",
	[46] = "Fradd Schnellschalt|49|1|26,26",
	[47] = "Fyldan|10|1|48,21",
	[48] = "Quietschspross|39|3|63,36",
	[49] = "Ritzelschnitt Zahnrad|23|1|68,43",
	[50] = "George Candarte|22|2|91,39",
	[51] = "Gharash|36|2|46,52",
	[52] = "Ghok'kah|16|2|36,31",
	[53] = "Gigget Rei\195\159spule|40|3|35,39",
	[54] = "Gikkix|37|3|67,22",
	[55] = "Gina MacGregor|48|1|57,54",
	[56] = "Gloria Femmel|29|1|27,44",
	[57] = "Glyx Gutbr\195\164u|35|3|28,77",
	[58] = "Gnaz Dusselflamm|35|3|51,35",
	[59] = "Gretta Ganter|13|1|31,44",
	[60] = "Grimtak|14|2|51,42",
	[61] = "Hagrus|28|2|46,46",
	[62] = "Hammon Karwn|2|1|47,48",
	[63] = "Harggan|40|1|14,45",
	[64] = "Harklan Mondhain|3|1|51,67",
	[65] = "Harlown Dunkelwirker|3|1|18,59",
	[66] = "Harn Rutenwurf|26|2|48,55",
	[67] = "Heldan Sturmgesang|9|1|37,56",
	[68] = "Helenia Olden|16|1|66,52",
	[69] = "Himmik|50|3|61,39",
	[70] = "Hula'mahi|39|2|52,30",
	[71] = "Stupser|37|3|67,22",
	[72] = "Jandia|41|2|46,51",
	[73] = "Janet Hommers|11|1|66,7",
	[74] = "Jangdor Flinkschreiter|20|2|74,43",
	[75] = "Jannos Eisenwill|2|1|46,48",
	[76] = "Jaquilina Dramet|35|3|36,11",
	[77] = "Jase Langweg|17|3|81,58",
	[78] = "Jazzrik|5|3|42,53",
	[79] = "Jeeda|33|2|47,62",
	[80] = "Jennabink Starksaum|49|1|8,56",
	[81] = "Jessara Cordell|34|1|44,64",
	[82] = "Jinky Pfuschelfix|41|3|77,76",
	[83] = "Joseph Moor|45|2|71,59",
	[84] = "Jubie Federdings|4|3|45,91",
	[85] = "Jun'ha|2|2|73,36",
	[86] = "Jutak|35|3|27,77",
	[87] = "Kaita Tiefenschmied|34|1|56,17",
	[88] = "Kalldan Teufelsmond|46|3|",
	[89] = "Kania|31|5|52,40",
	[90] = "Keena|2|2|74,33",
	[91] = "Kelsey Yance|35|3|28,74",
	[92] = "Kendor Kabonka|34|1|75,37",
	[93] = "Khara Tiefenwasser|24|1|40,39",
	[94] = "Khole Klingeltaschen|34|1|56,60|Seasonal",
	[95] = "Kiknikle|39|3|42,38",
	[96] = "Killian Sanatha|32|2|33,18",
	[97] = "Kilxx|39|3|63,38",
	[98] = "Kireena|11|2|51,54",
	[99] = "Kithas|28|2|53,37",
	[100] = "Knaz Dusselflamm|35|3|51,35",
	[101] = "Kor'geld|28|2|56,34",
	[102] = "Kriggon Talsone|48|1|37,89",
	[103] = "Krinkle Goldstahl|37|3|52,29",
	[104] = "Kulwia|33|2|46,60",
	[105] = "Kzixx|15|3|81,21",
	[106] = "Laird|9|1|37,44",
	[107] = "Lardan|3|1|34,49",
	[108] = "Leo Sarn|32|2|54,82",
	[109] = "Leonard Porter|47|1|43,84",
	[110] = "Generalleutnant Andorov|30|5|",
	[111] = "Lilly|32|2|43,50",
	[112] = "Lindea Rabonne|22|1|51,61",
	[113] = "Lizbeth Kromwell|45|2|81,31",
	[114] = "Logannas|20|1|33,44",
	[115] = "Lokhtos D\195\188sterfeilsch|6|6|",
	[116] = "Lorelae Winterklang|25|3|48,40",
	[117] = "Magnus Frostrufer|47|3|68,77|Quest",
	[118] = "Mahul|42|2|44,45",
	[119] = "Mallen Knab|22|2|62,21",
	[120] = "Malygen|19|1|62,26",
	[121] = "Maria Lumere|34|1|46,78",
	[122] = "Martine Tramblei|43|2|66,59",
	[123] = "Masat T'andr|36|3|25,31",
	[124] = "Meisterhandwerker Omarion|27|3|",
	[125] = "Mavralyn|9|1|37,41",
	[126] = "Mazk Zielschuss|35|3|28,75",
	[127] = "Meilosh|19|7|66,3",
	[128] = "Micha Yance|22|1|49,55",
	[129] = "Millie Gregorian|45|2|71,30",
	[130] = "Mishta|31|5|50,36",
	[131] = "Montarr|41|2|45,50",
	[132] = "Muuran|11|2|56,56",
	[133] = "Mythrin'dir|10|1|61,18",
	[134] = "Naal Nebell\195\164ufer|42|2|52,52",
	[135] = "Namdo Blitzzischel|21|1|",
	[136] = "Nandar Branson|22|1|50,57",
	[137] = "Nardstrum Kupferzwick|45|2|69,40|Seasonal",
	[138] = "Narj Schnitzelschnitt|2|1|46,48",
	[139] = "Narkk|35|3|28,74",
	[140] = "Nata Morgenwandler|42|2|45,40",
	[141] = "Nergal|44|3|43,8",
	[142] = "Nerrist|35|2|32,29",
	[143] = "Nessa Schattensang|38|1|56,92",
	[144] = "Nina Brauleicht|7|1|67,18",
	[145] = "Nioma|40|1|13,43",
	[146] = "Nyoma|38|1|57,60",
	[147] = "Ogg'marr|16|2|36,31",
	[148] = "Der alte Mann Heming|35|3|27,77",
	[149] = "Otho Moji'ko|40|2|80,80",
	[150] = "Ausstatter Eric|23|1|43,29",
	[151] = "Penney Kupferzwick|28|2|53,67|Seasonal",
	[152] = "St\195\182psel Zapfring|6|3|",
	[153] = "Pratt McGrubben|20|1|30,42",
	[154] = "Qiaga die Bewahrerin|50|3|61,37",
	[155] = "R\195\188stmeisterin Miranda Knackschloss|17|4|82,60",
	[156] = "Ranik|39|3|62,39",
	[157] = "Rann Flammenweber|24|1|36,46",
	[158] = "Rartar|36|2|45,57",
	[159] = "Rikqiz|35|3|28,76",
	[160] = "Rin'wosho der H\195\164ndler|35|8|15,16",
	[161] = "Rizz Wackelbolz|1|3|47,35",
	[162] = "Ronald Burch|45|2|63,44",
	[163] = "Ruppo Rei\195\159spule|40|3|34,38",
	[164] = "Saenorion|10|1|63,22",
	[165] = "Seersa Kupferzwick|42|2|44,59|Seasonal",
	[166] = "Sewa Nebell\195\164ufer|42|2|56,48",
	[167] = "Shandrina|3|1|50,67",
	[168] = "Shankys|28|2|69,30",
	[169] = "Sheendra Hochschilf|20|2|74,43",
	[170] = "Versorger der Shen'dralar|12|3|",
	[171] = "Sheri Stichelnaht|15|1|76,46",
	[172] = "Smudge Donnerholz|22|3|84,19",
	[173] = "Soolie Brausefitz|23|1|67,55",
	[174] = "Sovik|28|2|75,25",
	[175] = "Stuart Fleming|49|1|8,58",
	[176] = "Sumi|28|2|82,23",
	[177] = "Superverkaufomat 680|11|3|41,79|Intermittent",
	[178] = "Tamar|28|2|63,44",
	[179] = "Tansy Pf\195\188tzplatsch|23|1|48,6",
	[180] = "Tarban Kornb\195\164cker|39|2|56,32",
	[181] = "Tari'qa|39|2|52,31",
	[182] = "Thaddeus Webner|45|2|62,61",
	[183] = "Tharynn Bouden|18|1|42,67",
	[184] = "Tilli Distelflaum|23|1|61,44",
	[185] = "Truk Wildbart|40|1|14,42",
	[186] = "Tunkk|2|2|74,35",
	[187] = "Ulthaan|3|1|50,67",
	[188] = "Ulthir|10|1|56,24",
	[189] = "Uthok|35|2|31,28",
	[190] = "Vaean|10|1|58,15",
	[191] = "Valdaron|9|1|38,41",
	[192] = "Vargus|31|5|51,39",
	[193] = "Veenix|33|3|58,52",
	[194] = "Kaufotron 1000|11|3|61,38|Intermittent",
	[195] = "Vharr|35|2|32,29",
	[196] = "Vivianna|20|1|31,43",
	[197] = "Vizzklick|37|3|51,27",
	[198] = "Wenna Seidenbart|49|1|26,26",
	[199] = "Werg Breitklinge|43|2|83,70",
	[200] = "Wik'Tar|3|2|12,34",
	[201] = "Worb Starkahle|20|2|74,43",
	[202] = "Wrahk|39|2|53,31",
	[203] = "Wulan|11|2|27,70",
	[204] = "Wulmort Klingeltaschen|23|1|33,67|Seasonal",
	[205] = "Wunna Dunkelm\195\164hne|26|2|46,58",
	[206] = "Xandar Gutbart|24|1|83,63",
	[207] = "Xen'to|28|2|57,53",
	[208] = "Xizk Gutstich|35|3|28,76",
	[209] = "Xizzer Zischbolz|50|3|61,39",
	[210] = "Yonada|39|2|45,60",
	[211] = "Yuka Schraubstutz|8|3|66,23",
	[212] = "Zan Messerritzel|22|3|84,18",
	[213] = "Zannok Ledernaht|31|3|82,18",
	[214] = "Zansoa|14|2|57,73",
	[215] = "Zarena Stahlwind|35|3|28,75",
	[216] = "Zargh|39|2|53,30",
	[217] = "Zixil|22|3|61,21|Roving",
	[218] = "Zorbin von Schiller|20|3|45,43|Quest",
	[219] = "Purpurroter Kampfmagier|51|3",
	[220] = "Spektraler Forscher|52|3",
	[221] = "Dunkler Beschw\195\182rer aus Scholomance|52|3",
	[222] = "Kampfmeister des Schwarzfels|8|3",
	[223] = "Tobs\195\188chtiger Ghul|51|3",
-- Burning Crusade
	[224] = "Deynna|55|2|56,50",
	[225] = "Eiin|60|3|66,68",
	[226] = "Neii|58|1|64,68",
	[227] = "Borto|69|1|53,72",
	[228] = "Mathar G'ochar|69|2|55,37",
	[229] = "Andrion Dunkelweber|60|3|66,68",
	[230] = "Arrond|65|2|56,58",
	[231] = "Nasmara Mondweise|60|3|66,69",
	[232] = "Gidge Spruchwirker|60|3|66,69",
	[233] = "Karaaz|61|18|44,34",
	[234] = "Nakodu|60|22|62,69",
	[235] = "R\195\188stmeister Endarin|60|20|48,26",
	[236] = "R\195\188stmeister Enuril|60|19|61,64",
	[237] = "Fedryen Flinkspeer|67|12|79,64",
	[238] = "Muheru der Weber|67|1|41,28",
	[239] = "Zurai|67|2|85,55",
	[240] = "Koren|56|11|",
	[241] = "Krek Schmetterfels|65|2|29,31",
	[242] = "Loolruna|67|1|69,50",
	[243] = "Aaron Hollmann|60|3|64,71",
	[244] = "Arras|58|1|61,90",
	[245] = "Eriden|55|2|80,36",
	[246] = "Mari Steinhand|65|1|37,55",
	[247] = "Rohok|53|2|53,38",
	[248] = "R\195\188stmeister Urgronn|53|14|55,38",
	[249] = "Nachschuboffizier Ulrike|53|15|57,63",
	[250] = "Halruun|67|1|68,48",
	[251] = "Haalrun|67|1|68,48",
	[252] = "Seherin Janidi|67|2|32,52",
	[253] = "Daga Ramba|59|2|51,58",
	[254] = "Alurmi|37|9|64,58",
	[255] = "Almaador|60|21|50,42",
	[256] = "Mycah|67|3|18,51",
	[257] = "H\195\164ndler Narasu|69|17|55,75",
	[258] = "Altaa|58|1|28,63",
	[259] = "Melaris|55|2|67,20",
	[260] = "Skreah|60|3|46,20",
	[261] = "Alchimist Grabbel|53|1|54,66",
	[262] = "Apotheker Antonivich|53|2|52,37",
	[263] = "Leeli Langfeilsch|66|1|58,53",
	[264] = "Burko|53|1|22,39",
	[265] = "Aresella|53|2|26,62",
	[266] = "Baxter|53|2|56,41|Mobile",
	[267] = "Gaston|53|1|54,64",
	[268] = "Naka|67|3|79,63",
	[269] = "Landraelanis|54|2|49,47",
	[270] = "Meisterkoch Mouldier|62|2|48,31",
	[271] = "Gastwirtin Grilka|66|2|49,45",
	[272] = "Versorgungsoffizier M\195\188hlens|66|1|56,53",
	[273] = "Doba|67|1|42,28",
	[274] = "Gambarinka|67|2|32,49",
	[275] = "Fazu|64|1|54,56",
	[276] = "Gastwirtin Biribi|66|1|57,53",
	[277] = "Rungor|66|2|49,46",
	[278] = "Nula die Metzgerin|69|2|58,36",
	[279] = "Uriku|69|1|56,73",
	[280] = "Kr\195\164cka Einauge|53|2|55,41",
	[281] = "Sid Limbardi|53|1|54,64",
	[282] = "Arred|58|1|45,26",
	[283] = "Gelanthis|55|2|91,74",
	[284] = "Neal Allen|49|1|11,57",
	[285] = "Felika|28|2|51,36|Roving",
	[286] = "Edna Mullby|34|1|58,61",
	[287] = "Burbik Ritzelspann|23|1|47,27",
	[288] = "Felicia Doan|45|2|64,50",
	[289] = "Shadi Nebell\195\164ufer|42|2|40,64",
	[290] = "Lehrling Darius|68|11|47,75",
	[291] = "Kalaen|53|2|57,38",
	[292] = "Tatiana|53|1|55,64",
	[293] = "Feera|58|1|54,91",
	[294] = "Viggz Funkenschimmer|60|3|65,69",
	[295] = "Yatheon|55|2|76,40",
	[296] = "Daggle Eisenformer|65|1|37,54",
	[297] = "Mixie Weitschuss|53|2|61,82",
	[298] = "Windh\195\164ndler Lathrai|60|3|72,30",
	[299] = "Lebowski|53|1|56,66",
	[300] = "Gefangener Gnom|67|2|33,48",
	[301] = "Versorgerin Nasela|69|16|54,37",
	[302] = "Haferet|58|1|66,75",
	[303] = "Zaralda|55|2|84,79",
	[304] = "Cro Starkfaden|60|3|67,67",
	[305] = "Thomas Yance|63|3|",
	[306] = "Juno Dufrain|67|3|78,66",
	[307] = "Vodesiin|53|1|24,38",
	[308] = "Andormu|37|10|58,59",
	[309] = "Gealterter Hexer von Dalaran|63|3|",
	[310] = "Madame Rubin|60|3|63,70",
	[311] = "Egomis|58|1|39,40",
	[312] = "Lyna|55|2|69,24",
	[313] = "Okuno|70|23",
	[314] = "Indormi|71|10",
	[315] = "Eldara D\195\164mmerflucht|72|24",
	[316] = "Shaani|72|24",
}

TradeskillInfo_Translations = nil