﻿-- $Revision: 156 $
--[[
TODO: (Updated 10/25/2007

*Add Drum recipes to vendors
*Fix remaining Enchanting Oils to actually work
:ODOT

Enchants
[-enchantid]name/description

Zones
[index]name

Vendors
[index]name|zone|faction|location|comment

]]

if GetLocale() ~= 'frFR' then return end;

if not TradeskillInfo or not TradeskillInfo.vars then return end
if not TradeskillInfo_Translations then
	TradeskillInfo_Translations = {}
end

-- Local translation function
local function TT(text)
	if TradeskillInfo_Translations[text] and TradeskillInfo_Translations[text] ~= "" then
		return TradeskillInfo_Translations[text]
	end
	return text
end
	
local BZM = LibStub("LibBabble-Zone-3.0")
local BZ = BZM:GetLookupTable()
local BTS = AceLibrary("Babble-Tradeskill-2.2")

TradeskillInfo.vars.tradeskills = {
	['A'] = TT(BTS["Alchemy"]),
	['B'] = TT(BTS["Blacksmithing"]),
	['D'] = TT(BTS["Enchanting"]),
	['E'] = TT(BTS["Engineering"]),
	['J'] = TT(BTS["Jewelcrafting"]),
	['L'] = TT(BTS["Leatherworking"]),
	['T'] = TT(BTS["Tailoring"]),
	['W'] = TT(BTS["Cooking"]),
	['X'] = TT(BTS["First Aid"]),
	['Y'] = TT(BTS["Mining"]),
	['Z'] = TT(BTS["Poisons"]),
}

TradeskillInfo.vars.skillnames = {
	[TradeskillInfo.vars.tradeskills['A']] = 'A',
	[TradeskillInfo.vars.tradeskills['B']] = 'B',
	[TradeskillInfo.vars.tradeskills['D']] = 'D',
	[TradeskillInfo.vars.tradeskills['E']] = 'E',
	[TradeskillInfo.vars.tradeskills['J']] = 'J',
	[TradeskillInfo.vars.tradeskills['L']] = 'L',
	[TradeskillInfo.vars.tradeskills['T']] = 'T',
	[TradeskillInfo.vars.tradeskills['W']] = 'W',
	[TradeskillInfo.vars.tradeskills['X']] = 'X',
	[TradeskillInfo.vars.tradeskills['Y']] = 'Y',
	[TradeskillInfo.vars.tradeskills['Z']] = 'Z',
}

TradeskillInfo.vars.specializations = {
	['a'] = BTS["Armorsmith"],
	['w'] = BTS["Weaponsmith"],
	['ws'] = BTS["Master Swordsmith"],
	['wh'] = BTS["Master Hammersmith"],
	['wx'] = BTS["Master Axesmith"],
	['d'] = BTS["Dragonscale Leatherworking"],
	['e'] = BTS["Elemental Leatherworking"],
	['t'] = BTS["Tribal Leatherworking"],
	['g'] = BTS["Gnomish Engineer"],
	['b'] = BTS["Goblin Engineer"],
	['p'] = BTS["Spellfire Tailoring"],
	['s'] = BTS["Shadoweave Tailoring"],
	['m'] = BTS["Mooncloth Tailoring"],
}

TradeskillInfo.vars.specializationnames = {
	[TradeskillInfo.vars.specializations['a']] = "a",
	[TradeskillInfo.vars.specializations['w']] = "w",
	[TradeskillInfo.vars.specializations['ws']] = "ws",
	[TradeskillInfo.vars.specializations['wh']] = "wh",
	[TradeskillInfo.vars.specializations['wx']] = "wx",
	[TradeskillInfo.vars.specializations['d']] = "d",
	[TradeskillInfo.vars.specializations['e']] = "e",
	[TradeskillInfo.vars.specializations['t']] = "t",
	[TradeskillInfo.vars.specializations['g']] = "g",
	[TradeskillInfo.vars.specializations['b']] = "b",
	[TradeskillInfo.vars.specializations['p']] = "p",
	[TradeskillInfo.vars.specializations['s']] = "s",
	[TradeskillInfo.vars.specializations['m']] = "m",
}

TradeskillInfo.vars.sources = {
	['V'] = "Vendeur",
	['Va'] = "Vendedor Alliance",
	['Vh'] = "Vendedor Horde",
	['D'] = "Tomb\195\169",
	['C'] = "a fait",
	['Ca'] = BTS["Alchemy"],
	['Cb'] = BTS["Blacksmithing"],
	['Cn'] = BTS["Enchanting"],
	['Ce'] = BTS["Engineering"],
	['Cj'] = BTS["Jewelcrafting"],
	['Cl'] = BTS["Leatherworking"],
	['Ct'] = BTS["Tailoring"],
	['Cc'] = BTS["Cooking"],
	['Cf'] = BTS["First Aid"],
	['Cp'] = BTS["Poisons"],
	['Cs'] = BTS["Smelting"],
	['M'] = "Minage",
	['Ma'] = "Filon de Cuivre",
	['Mb'] = "Filon d'\195\169tain",
	['Mc'] = "Filon d'argent",
	['Md'] = "Filon d'or",
	['Me'] = "Gisement de fer",
	['Mf'] = "Gisement de mithril",
	['Mg'] = "Gisement de vrai-argent",
	['Mh'] = "Gisement de sombrefer",
	['Mi'] = "Filon de thorium Hakkari",
	['Mj'] = "Aucun filon de thorium",
	['Mk'] = "Riche filon de thorium",
	['Ml'] = "Gisement de gangrefer",
	['Mm'] = "Gisement d'adamantite",
	['Mn'] = "Filon de khorium",
	['H'] = "Herboristerie",
	['S'] = "D\195\169pe\195\167",
	['Sa'] = "B\195\170tes niveau 1-10", 
	['Sb'] = "B\195\170tes niveau 1-20",
	['Sc'] = "B\195\170tes niveau 20-30",
	['Sd'] = "B\195\170tes niveau 30-40",
	['Se'] = "B\195\170tes niveau 40-50",
	['Sf'] = "B\195\170tes niveau 50-60",
	['Sg'] = "Panth\195\168res des ombres. Vall\195\169e de Strangleronce, Marais des Chagrins", -- 7428
	['Sh'] = "Tortues niveau 40-60", -- 8167
	['Si'] = "Scorpides niveau 40-50", -- 8154
	['Sj'] = "Scorpides niveau 50-60", -- 15408
	['Sk'] = "Draconiens niveau lvl 40-60+", -- 8165
	['Sl'] = "Elite draconiens niveau 50-60+", -- 15412, 15414, 15415, 15416, 
	['Sm'] = "Sabres-de-givre. Berceau-de-l'Hiver", -- 15422
	['Sn'] = "Diablosaure. Crat\195\168re d'Un'Goro", -- 15417
	['So'] = "Chim\195\168re. Azshara, Berceau-de-l'Hiver, Hache-tripes", -- 15423
	['Sp'] = "Loups niveau 40-60", -- 8368
	['Sq'] = "Ours niveau 50-60", -- 15419
	['Sr'] = "Chauves-souris. Zul'Gurub", -- 19767
	['Ss'] = "Tigres. Zul'Gurub", -- 19768
	['St'] = "Anciens chiens du Magma, Magmadar. C\197\147ur du Magma.", -- 17012
	['Su'] = "Silithids. Silithus", -- 20501,20498
	['Sv'] = "Emeriss, Lethon, Taerar, Ysondre", -- 20381
	['Sw'] = "Onyxia. Repaire d'Onyxia", -- 20381
	['Sy'] = "B\195\170tes. Cavernes des lamentations",
	['Sz'] = "Dragonnets. Les Paluns",
	['Saa'] = "Dragonnets. Les Carmines",
	['Sab'] = "Dragonnets. Marais des Chagrins",
	['Sac'] = "Raptors niveau 30-40",
	['F'] = "P\195\170che",
	['E'] = "D\195\169senchant\195\169",
	['Ea'] = "Objets niveau 1-20",
	['Eb'] = "Objets niveau 1-10",
	['Ec'] = "Objets niveau 11-15",
	['Ed'] = "Objets niveau 16-20",
	['Ee'] = "Objets niveau 21-30",
	['Ef'] = "Objets niveau 21-25",
	['Eg'] = "Objets niveau 26-30",
	['Eh'] = "Objets niveau 31-40",
	['Ei'] = "Objets niveau 31-35",
	['Ej'] = "Objets niveau 36-40",
	['Ek'] = "Objets niveau 41-50",
	['El'] = "Objets niveau 41-45",
	['Em'] = "Objets niveau 46-50",
	['En'] = "Objets niveau 51-60",
	['Eo'] = "Epiques niveau 51-60",
	['Ep'] = "Objets niveau 57-63",
	['Eq'] = "Objets niveau 64+",
	['Er'] = "Objets niveau 57+",
	['Es'] = "Epics niveau 57+",
	['G'] = "Gathered",
	['P'] = "Vol \195\160 la tire",
	['Q'] = "Qu\195\170te",
	['Qa'] = "Qu\195\170te Alliance",
	['Qh'] = "Qu\195\170te Horde",
	['T'] = "Ma\195\174tre",
	['Ts'] = "Ma\195\174tre de sp\195\169cialiste",
	['X'] = "Pas actuellement procurable",
	['R'] = "Prospection",
	['U'] = "Inconnu",
}

TradeskillInfo.vars.zones = {
	[1] = BZ["Alterac Mountains"],
	[2] = BZ["Arathi Highlands"],
	[3] = BZ["Ashenvale"],
	[4] = BZ["Azshara"],
	[5] = BZ["Badlands"],
	[6] = BZ["Blackrock Depths"],
	[7] = BZ["Blasted Lands"],
	[8] = BZ["Burning Steppes"],
	[9] = BZ["Darkshore"],
	[10] = BZ["Darnassus"],
	[11] = BZ["Desolace"],
	[12] = BZ["Dire Maul"],
	[13] = BZ["Dun Morogh"],
	[14] = BZ["Durotar"],
	[15] = BZ["Duskwood"],
	[16] = BZ["Dustwallow Marsh"],
	[17] = BZ["Eastern Plaguelands"],
	[18] = BZ["Elwynn Forest"],
	[19] = BZ["Felwood"],
	[20] = BZ["Feralas"],
	[21] = BZ["Gnomeregan"],
	[22] = BZ["Hillsbrad Foothills"],
	[23] = BZ["Ironforge"],
	[24] = BZ["Loch Modan"],
	[25] = BZ["Moonglade"],
	[26] = BZ["Mulgore"],
	[27] = BZ["Naxxramas"],
	[28] = BZ["Orgrimmar"],
	[29] = BZ["Redridge Mountains"],
	[30] = BZ["Ruins of Ahn'Qiraj"],
	[31] = BZ["Silithus"],
	[32] = BZ["Silverpine Forest"],
	[33] = BZ["Stonetalon Mountains"],
	[34] = BZ["Stormwind City"],
	[35] = BZ["Stranglethorn Vale"],
	[36] = BZ["Swamp of Sorrows"],
	[37] = BZ["Tanaris"],
	[38] = BZ["Teldrassil"],
	[39] = BZ["The Barrens"],
	[40] = BZ["The Hinterlands"],
	[41] = BZ["Thousand Needles"],
	[42] = BZ["Thunder Bluff"],
	[43] = BZ["Tirisfal Glades"],
	[44] = BZ["Un'Goro Crater"],
	[45] = BZ["Undercity"],
	[46] = BZ["Wailing Caverns"],
	[47] = BZ["Western Plaguelands"],
	[48] = BZ["Westfall"],
	[49] = BZ["Wetlands"],
	[50] = BZ["Winterspring"],
	[51] = BZ["Stratholme"],
	[52] = BZ["Scholomance"],
-- Burning Crusade	
	[53] = BZ["Hellfire Peninsula"],
	[54] = BZ["Eversong Woods"],
	[55] = BZ["Silvermoon City"],
	[56] = BZ["Karazhan"],
	[57] = BZ["Azuremyst Isle"],
	[58] = BZ["The Exodar"],
	[59] = BZ["Blade's Edge Mountains"],
	[60] = BZ["Shattrath City"],
	[61] = BZ["Netherstorm"],
	[62] = BZ["Ghostlands"],
	[63] = BZ["Old Hillsbrad Foothills"],
	[64] = BZ["Bloodmyst Isle"],
	[65] = BZ["Shadowmoon Valley"],
	[66] = BZ["Terokkar Forest"],
	[67] = BZ["Zangarmarsh"],
	[68] = BZ["Deadwind Pass"],
	[69] = BZ["Nagrand"],
	[70] = BZ["Black Temple"],
	[71] = BZ["Hyjal Summit"],
}
TradeskillInfo.vars.factions = {
	[1] = FACTION_ALLIANCE,
	[2] = FACTION_HORDE,
	[3] = "",
	[4] = "Argent Dawn",
	[5] = "Cenarion Circle",
	[6] = "Thorium Brotherhood",
	[7] = "Timbermaw Hold",
	[8] = "Zandalar Tribe",
-- Burning Crusade
	[9] = "Keepers of Time",
	[10] = "The Scale of the Sands",
	[11] = "The Violet Eye",
	[12] = "Cenarion Expedition",
	[13] = "Sporeggar",
	[14] = "Thrallmar",
	[15] = "Honor Hold",
	[16] = "The Mag'har",
	[17] = "Kurenai",
	[18] = "The Consortium",
	[19] = "The Scryers",
	[20] = "The Aldor",
	[21] = "The Sha'tar",
	[22] = "Lower City",
	[23] = "Ashtongue Deathsworn",
}
-- Kurenai / The Mag'har
-- Honor Hold / Thrallmar
-- The Scryers / The Aldor

TradeskillInfo.vars.vendors = {
-- "name|zone|faction|location|comment"
	[1] = "Abigail Shiel|43|2|61,52",
	[2] = "Aendel Windspear|31|5|63,50",
	[3] = "Alchemist Pestlezugg|37|3|51,27",
	[4] = "Alexandra Bolero|34|1|43,74",
	[5] = "Algernon|45|2|52,74",
	[6] = "Amy Davenport|29|1|29,47",
	[7] = "Andrew Hilbert|32|2|43,40",
	[8] = "Androd Fadran|2|1|45,47",
	[9] = "Argent Quartermaster Hasana|43|4|83,68",
	[10] = "Argent Quartermaster Lightspark|47|4|43,84",
	[11] = "Balai Lok'Wein|16|2|36,31",
	[12] = "Bale|19|2|35,53",
	[13] = "Banalash|36|2|45,57",
	[14] = "Blimo Gadgetspring|4|3|46,90",
	[15] = "Blixrez Goodstitch|35|3|28,77",
	[16] = "Blizrik Buckshot|37|3|52,28",
	[17] = "Bliztik|15|3|18,54",
	[18] = "Bombus Finespindle|23|1|40,34",
	[19] = "Borya|28|2|63,51",
	[20] = "Brienna Starglow|20|1|89,46",
	[21] = "Bro'kin|1|3|38,39",
	[22] = "Bronk|20|2|76,43",
	[23] = "Catherine Leland|34|1|46,59",
	[24] = "Christoph Jeffcoat|22|2|63,19",
	[25] = "Clyde Ranthal|29|1|89,70",
	[26] = "Constance Brisboise|43|2|52,55",
	[27] = "Corporal Bluth|35|1|38,3",
	[28] = "Cowardly Crosby|35|3|27,83",
	[29] = "Crazk Sparks|35|3|28,77",
	[30] = "Dalria|3|1|36,52",
	[31] = "Daniel Bartlett|45|2|64,38",
	[32] = "Danielle Zipstitch|15|1|76,46",
	[33] = "Darian Singh|34|1|30,68",
	[34] = "Darnall|25|3|52,33",
	[35] = "Defias Profiteer|48|1|44,68",
	[36] = "Deneb Walker|2|1|27,59",
	[37] = "Derak Nightfall|22|2|62,20",
	[38] = "Dirge Quikcleave|37|3|53,28",
	[39] = "Drac Roughcut|24|1|36,49",
	[40] = "Drake Lindgren|18|1|83,67",
	[41] = "Drovnar Strongbrew|2|1|46,47",
	[42] = "Elynna|10|1|64,22",
	[43] = "Emrul Riknussun|23|1|60,38",
	[44] = "Erika Tate|34|1|76,37",
	[45] = "Evie Whirlbrew|50|3|61,38",
	[46] = "Fradd Swiftgear|49|1|26,26",
	[47] = "Fyldan|10|1|48,21",
	[48] = "Gagsprocket|39|3|63,36",
	[49] = "Gearcutter Cogspinner|23|1|68,43",
	[50] = "George Candarte|22|2|91,39",
	[51] = "Gharash|36|2|46,52",
	[52] = "Ghok'kah|16|2|36,31",
	[53] = "Gigget Zipcoil|40|3|35,39",
	[54] = "Gikkix|37|3|67,22",
	[55] = "Gina MacGregor|48|1|57,54",
	[56] = "Gloria Femmel|29|1|27,44",
	[57] = "Glyx Brewright|35|3|28,77",
	[58] = "Gnaz Blunderflame|35|3|51,35",
	[59] = "Gretta Ganter|13|1|31,44",
	[60] = "Grimtak|14|2|51,42",
	[61] = "Hagrus|28|2|46,46",
	[62] = "Hammon Karwn|2|1|47,48",
	[63] = "Harggan|40|1|14,45",
	[64] = "Harklan Moongrove|3|1|51,67",
	[65] = "Harlown Darkweave|3|1|18,59",
	[66] = "Harn Longcast|26|2|48,55",
	[67] = "Heldan Galesong|9|1|37,56",
	[68] = "Helenia Olden|16|1|66,52",
	[69] = "Himmik|50|3|61,39",
	[70] = "Hula'mahi|39|2|52,30",
	[71] = "Jabbey|37|3|67,22",
	[72] = "Jandia|41|2|46,51",
	[73] = "Janet Hommers|11|1|66,7",
	[74] = "Jangdor Swiftstrider|20|2|74,43",
	[75] = "Jannos Ironwill|2|1|46,48",
	[76] = "Jaquilina Dramet|35|3|36,11",
	[77] = "Jase Farlane|17|3|81,58",
	[78] = "Jazzrik|5|3|42,53",
	[79] = "Jeeda|33|2|47,62",
	[80] = "Jennabink Powerseam|49|1|8,56",
	[81] = "Jessara Cordell|34|1|44,64",
	[82] = "Jinky Twizzlefixxit|41|3|77,76",
	[83] = "Joseph Moore|45|2|71,59",
	[84] = "Jubie Gadgetspring|4|3|45,91",
	[85] = "Jun'ha|2|2|73,36",
	[86] = "Jutak|35|3|27,77",
	[87] = "Kaita Deepforge|34|1|56,17",
	[88] = "Kalldan Felmoon|46|3|",
	[89] = "Kania|31|5|52,40",
	[90] = "Keena|2|2|74,33",
	[91] = "Kelsey Yance|35|3|28,74",
	[92] = "Kendor Kabonka|34|1|75,37",
	[93] = "Khara Deepwater|24|1|40,39",
	[94] = "Khole Jinglepocket|34|1|56,60|Seasonal",
	[95] = "Kiknikle|39|3|42,38",
	[96] = "Killian Sanatha|32|2|33,18",
	[97] = "Kilxx|39|3|63,38",
	[98] = "Kireena|11|2|51,54",
	[99] = "Kithas|28|2|53,37",
	[100] = "Knaz Blunderflame|35|3|51,35",
	[101] = "Kor'geld|28|2|56,34",
	[102] = "Kriggon Talsone|48|1|37,89",
	[103] = "Krinkle Goodsteel|37|3|52,29",
	[104] = "Kulwia|33|2|46,60",
	[105] = "Kzixx|15|3|81,21",
	[106] = "Laird|9|1|37,44",
	[107] = "Lardan|3|1|34,49",
	[108] = "Leo Sarn|32|2|54,82",
	[109] = "Leonard Porter|47|1|43,84",
	[110] = "Lieutenant General Andorov|30|5|",
	[111] = "Lilly|32|2|43,50",
	[112] = "Lindea Rabonne|22|1|51,61",
	[113] = "Lizbeth Cromwell|45|2|81,31",
	[114] = "Logannas|20|1|33,44",
	[115] = "Lokhtos Darkbargainer|6|6|",
	[116] = "Lorelae Wintersong|25|3|48,40",
	[117] = "Magnus Frostwake|47|3|68,77|Quest",
	[118] = "Mahu|42|2|44,45",
	[119] = "Mallen Swain|22|2|62,21",
	[120] = "Malygen|19|1|62,26",
	[121] = "Maria Lumere|34|1|46,78",
	[122] = "Martine Tramblay|43|2|66,59",
	[123] = "Masat T'andr|36|3|25,31",
	[124] = "Master Craftsman Omarion|27|3|",
	[125] = "Mavralyn|9|1|37,41",
	[126] = "Mazk Snipeshot|35|3|28,75",
	[127] = "Meilosh|19|7|66,3",
	[128] = "Micha Yance|22|1|49,55",
	[129] = "Millie Gregorian|45|2|71,30",
	[130] = "Mishta|31|5|50,36",
	[131] = "Montarr|41|2|45,50",
	[132] = "Muuran|11|2|56,56",
	[133] = "Mythrin'dir|10|1|61,18",
	[134] = "Naal Mistrunner|42|2|52,52",
	[135] = "Namdo Bizzfizzle|21|1|",
	[136] = "Nandar Branson|22|1|50,57",
	[137] = "Nardstrum Copperpinch|45|2|69,40|Seasonal",
	[138] = "Narj Deepslice|2|1|46,48",
	[139] = "Narkk|35|3|28,74",
	[140] = "Nata Dawnstrider|42|2|45,40",
	[141] = "Nergal|44|3|43,8",
	[142] = "Nerrist|35|2|32,29",
	[143] = "Nessa Shadowsong|38|1|56,92",
	[144] = "Nina Lightbrew|7|1|67,18",
	[145] = "Nioma|40|1|13,43",
	[146] = "Nyoma|38|1|57,60",
	[147] = "Ogg'marr|16|2|36,31",
	[148] = "Old Man Heming|35|3|27,77",
	[149] = "Otho Moji'ko|40|2|80,80",
	[150] = "Outfitter Eric|23|1|43,29",
	[151] = "Penney Copperpinch|28|2|53,67|Seasonal",
	[152] = "Plugger Spazzring|6|3|",
	[153] = "Pratt McGrubben|20|1|30,42",
	[154] = "Qia|50|3|61,37",
	[155] = "Quartermaster Miranda Breechlock|17|4|82,60",
	[156] = "Ranik|39|3|62,39",
	[157] = "Rann Flamespinner|24|1|36,46",
	[158] = "Rartar|36|2|45,57",
	[159] = "Rikqiz|35|3|28,76",
	[160] = "Rin'wosho the Trader|35|8|15,16",
	[161] = "Rizz Loosebolt|1|3|47,35",
	[162] = "Ronald Burch|45|2|63,44",
	[163] = "Ruppo Zipcoil|40|3|34,38",
	[164] = "Saenorion|10|1|63,22",
	[165] = "Seersa Copperpinch|42|2|44,59|Seasonal",
	[166] = "Sewa Mistrunner|42|2|56,48",
	[167] = "Shandrina|3|1|50,67",
	[168] = "Shankys|28|2|69,30",
	[169] = "Sheendra Tallgrass|20|2|74,43",
	[170] = "Shen'dralar Provisioner|12|3|",
	[171] = "Sheri Zipstitch|15|1|76,46",
	[172] = "Smudge Thunderwood|22|3|84,19",
	[173] = "Soolie Berryfizz|23|1|67,55",
	[174] = "Sovik|28|2|75,25",
	[175] = "Stuart Fleming|49|1|8,58",
	[176] = "Sumi|28|2|82,23",
	[177] = "Super-Seller 680|11|3|41,79|Intermittent",
	[178] = "Tamar|28|2|63,44",
	[179] = "Tansy Puddlefizz|23|1|48,6",
	[180] = "Tarban Hearthgrain|39|2|56,32",
	[181] = "Tari'qa|39|2|52,31",
	[182] = "Thaddeus Webb|45|2|62,61",
	[183] = "Tharynn Bouden|18|1|42,67",
	[184] = "Tilli Thistlefuzz|23|1|61,44",
	[185] = "Truk Wildbeard|40|1|14,42",
	[186] = "Tunkk|2|2|74,35",
	[187] = "Ulthaan|3|1|50,67",
	[188] = "Ulthir|10|1|56,24",
	[189] = "Uthok|35|2|31,28",
	[190] = "Vaean|10|1|58,15",
	[191] = "Valdaron|9|1|38,41",
	[192] = "Vargus|31|5|51,39",
	[193] = "Veenix|33|3|58,52",
	[194] = "Vendor-Tron 1000|11|3|61,38|Intermittent",
	[195] = "Vharr|35|2|32,29",
	[196] = "Vivianna|20|1|31,43",
	[197] = "Vizzklick|37|3|51,27",
	[198] = "Wenna Silkbeard|49|1|26,26",
	[199] = "Werg Thickblade|43|2|83,70",
	[200] = "Wik'Tar|3|2|12,34",
	[201] = "Worb Strongstitch|20|2|74,43",
	[202] = "Wrahk|39|2|53,31",
	[203] = "Wulan|11|2|27,70",
	[204] = "Wulmort Jinglepocket|23|1|33,67|Seasonal",
	[205] = "Wunna Darkmane|26|2|46,58",
	[206] = "Xandar Goodbeard|24|1|83,63",
	[207] = "Xen'to|28|2|57,53",
	[208] = "Xizk Goodstitch|35|3|28,76",
	[209] = "Xizzer Fizzbolt|50|3|61,39",
	[210] = "Yonada|39|2|45,60",
	[211] = "Yuka Screwspigot|8|3|66,23",
	[212] = "Zan Shivsproket|22|3|84,18",
	[213] = "Zannok Hidepiercer|31|3|82,18",
	[214] = "Zansoa|14|2|57,73",
	[215] = "Zarena Cromwind|35|3|28,75",
	[216] = "Zargh|39|2|53,30",
	[217] = "Zixil|22|3|61,21|Roving",
	[218] = "Zorbin Fandazzle|20|3|45,43|Quest",
	[219] = "Crimson Battle Mage|51|3",
	[220] = "Spectral Researcher|52|3",
	[221] = "Scholomance Dark Summoner|52|3",
	[222] = "Blackrock Battlemaster|8|3",
	[223] = "Ghoul Ravener|51|3",
-- Burning Crusade
	[224] = "Deynna|55|2|56,50",
	[225] = "Eiin|60|3|66,68",
	[226] = "Neii|58|1|64,68",
	[227] = "Borto|69|1|53,72",
	[228] = "Mathar G'ochar|69|2|55,37",
	[229] = "Andrion Darkspinner|60|3|66,68",
	[230] = "Arrond|65|2|56,58",
	[231] = "Nasmara Moonsong|60|3|66,69",
	[232] = "Gidge Spellweaver|60|3|66,69",
	[233] = "Karaaz|61|18|44,34",
	[234] = "Nakodu|60|22|62,69",
	[235] = "Quartermaster Endarin|60|20|48,26",
	[236] = "Quartermaster Enuril|60|19|61,64",
	[237] = "Fedryen Swiftspear|67|12|79,64",
	[238] = "Muheru the Weaver|67|1|41,28",
	[239] = "Zurai|67|2|85,55",
	[240] = "Koren|56|11|",
	[241] = "Krek Cragcrush|65|2|29,31",
	[242] = "Loolruna|67|1|69,50",
	[243] = "Aaron Hollman|60|3|64,71",
	[244] = "Arras|58|1|61,90",
	[245] = "Eriden|55|2|80,36",
	[246] = "Mari Stonehand|65|1|37,55",
	[247] = "Rohok|53|2|53,38",
	[248] = "Quartermaster Urgronn|53|14|55,38",
	[249] = "Logistics Officer Ulrike|53|15|57,63",
	[250] = "Halruun|67|1|68,48",
	[251] = "Haalrun|67|1|68,48",
	[252] = "Seer Janidi|67|2|32,52",
	[253] = "Daga Ramba|59|2|51,58",
	[254] = "Alurmi|37|9|64,58",
	[255] = "Almaador|60|21|50,42",
	[256] = "Mycah|67|3|18,51",
	[257] = "Trader Narasu|69|17|55,75",
	[258] = "Altaa|58|1|28,63",
	[259] = "Melaris|55|2|67,20",
	[260] = "Skreah|60|3|46,20",
	[261] = "Alchemist Gribble|53|1|54,66",
	[262] = "Apothecary Antonivich|53|2|52,37",
	[263] = "Leeli Longhaggle|66|1|58,53",
	[264] = "Burko|53|1|22,39",
	[265] = "Aresella|53|2|26,62",
	[266] = "Baxter|53|2|56,41|Mobile",
	[267] = "Gaston|53|1|54,64",
	[268] = "Naka|67|3|79,63",
	[269] = "Landraelanis|54|2|49,47",
	[270] = "Master Chef Mouldier|62|2|48,31",
	[271] = "Innkeeper Grilka|66|2|49,45",
	[272] = "Supply Officer Mills|66|1|56,53",
	[273] = "Doba|67|1|42,28",
	[274] = "Gambarinka|67|2|32,49",
	[275] = "Fazu|64|1|54,56",
	[276] = "Innkeeper Biribi|66|1|57,53",
	[277] = "Rungor|66|2|49,46",
	[278] = "Nula the Butcher|69|2|58,36",
	[279] = "Uriku|69|1|56,73",
	[280] = "Cookie One-Eye|53|2|55,41",
	[281] = "Sid Limbardi|53|1|54,64",
	[282] = "Arred|58|1|45,26",
	[283] = "Gelanthis|55|2|91,74",
	[284] = "Neal Allen|49|1|11,57",
	[285] = "Felika|28|2|51,36|Roving",
	[286] = "Edna Mullby|34|1|58,61",
	[287] = "Burbik Gearspanner|23|1|47,27",
	[288] = "Felicia Doan|45|2|64,50",
	[289] = "Shadi Mistrunner|42|2|40,64",
	[290] = "Apprentice Darius|68|11|47,75",
	[291] = "Kalaen|53|2|57,38",
	[292] = "Tatiana|53|1|55,64",
	[293] = "Feera|58|1|54,91",
	[294] = "Viggz Shinesparked|60|3|65,69",
	[295] = "Yatheon|55|2|76,40",
	[296] = "Daggle Ironshaper|65|1|37,54",
	[297] = "Mixie Farshot|53|2|61,82",
	[298] = "Wind Trader Lathrai|60|3|72,30",
	[299] = "Lebowski|53|1|56,66",
	[300] = "Captured Gnome|67|2|33,48",
	[301] = "Provisioner Nasela|69|16|54,37",
	[302] = "Haferet|58|1|66,75",
	[303] = "Zaralda|55|2|84,79",
	[304] = "Cro Threadstrong|60|3|67,67",
	[305] = "Thomas Yance|63|3|",
	[306] = "Juno Dufrain|67|3|78,66",
	[307] = "Vodesiin|53|1|24,38",
	[308] = "Andormu|37|10|58,59",
	[309] = "Aged Dalaran Wizard|63|3|",
	[310] = "Madame Ruby|60|3|63,70",
	[311] = "Egomis|58|1|39,40",
	[312] = "Lyna|55|2|69,24",
	[313] = "Okuno|70|23",
	[314] = "Indormi|71|10",
}

TradeskillInfo_Translations = nil
