﻿-- $Revision: 156 $
--[[
TODO: (Updated 10/25/2007

*Add Drum recipes to vendors
*Fix remaining Enchanting Oils to actually work
:ODOT

Enchants
[-enchantid]name/description

Zones
[index]name

Vendors
[index]name|zone|faction|location|comment

]]

if GetLocale() ~= 'zhTW' then return end;

if not TradeskillInfo or not TradeskillInfo.vars then return end
if not TradeskillInfo_Translations then
	TradeskillInfo_Translations = {}
end

-- Local translation function
local function TT(text)
	if TradeskillInfo_Translations[text] and TradeskillInfo_Translations[text] ~= "" then
		return TradeskillInfo_Translations[text]
	end
	return text
end

local BZ = LibStub("LibBabble-Zone-3.0"):GetLookupTable()
local BF = LibStub("LibBabble-Faction-3.0"):GetLookupTable()
local BTS = AceLibrary("Babble-Tradeskill-2.2")

TradeskillInfo.vars.tradeskills = {
	['A'] = TT(BTS["Alchemy"]),
	['B'] = TT(BTS["Blacksmithing"]),
	['D'] = TT(BTS["Enchanting"]),
	['E'] = TT(BTS["Engineering"]),
	['J'] = TT(BTS["Jewelcrafting"]),
	['L'] = TT(BTS["Leatherworking"]),
	['T'] = TT(BTS["Tailoring"]),
	['W'] = TT(BTS["Cooking"]),
	['X'] = TT(BTS["First Aid"]),
	['Y'] = TT(BTS["Mining"]),
	['Z'] = TT(BTS["Poisons"]),
}

TradeskillInfo.vars.skillnames = {
	[TradeskillInfo.vars.tradeskills['A']] = 'A',
	[TradeskillInfo.vars.tradeskills['B']] = 'B',
	[TradeskillInfo.vars.tradeskills['D']] = 'D',
	[TradeskillInfo.vars.tradeskills['E']] = 'E',
	[TradeskillInfo.vars.tradeskills['J']] = 'J',
	[TradeskillInfo.vars.tradeskills['L']] = 'L',
	[TradeskillInfo.vars.tradeskills['T']] = 'T',
	[TradeskillInfo.vars.tradeskills['W']] = 'W',
	[TradeskillInfo.vars.tradeskills['X']] = 'X',
	[TradeskillInfo.vars.tradeskills['Y']] = 'Y',
	[TradeskillInfo.vars.tradeskills['Z']] = 'Z',
}

TradeskillInfo.vars.specializations = {
	['a'] = BTS["Armorsmith"],
	['w'] = BTS["Weaponsmith"],
	['ws'] = BTS["Master Swordsmith"],
	['wh'] = BTS["Master Hammersmith"],
	['wx'] = BTS["Master Axesmith"],
	['d'] = BTS["Dragonscale Leatherworking"],
	['e'] = BTS["Elemental Leatherworking"],
	['t'] = BTS["Tribal Leatherworking"],
	['g'] = BTS["Gnomish Engineer"],
	['b'] = BTS["Goblin Engineer"],
	['p'] = BTS["Spellfire Tailoring"],
	['s'] = BTS["Shadoweave Tailoring"],
	['m'] = BTS["Mooncloth Tailoring"],
}

TradeskillInfo.vars.specializationnames = {
	[TradeskillInfo.vars.specializations['a']] = "a",
	[TradeskillInfo.vars.specializations['w']] = "w",
	[TradeskillInfo.vars.specializations['ws']] = "ws",
	[TradeskillInfo.vars.specializations['wh']] = "wh",
	[TradeskillInfo.vars.specializations['wx']] = "wx",
	[TradeskillInfo.vars.specializations['d']] = "d",
	[TradeskillInfo.vars.specializations['e']] = "e",
	[TradeskillInfo.vars.specializations['t']] = "t",
	[TradeskillInfo.vars.specializations['g']] = "g",
	[TradeskillInfo.vars.specializations['b']] = "b",
	[TradeskillInfo.vars.specializations['p']] = "p",
	[TradeskillInfo.vars.specializations['s']] = "s",
	[TradeskillInfo.vars.specializations['m']] = "m",
}

TradeskillInfo.vars.sources = {
	['V'] = "商人",
	['Va'] = "聯盟商人",
	['Vh'] = "部落商人",
	['D'] = "掉落",
	['C'] = "製造",
	['Ca'] = BTS["Alchemy"],
	['Cb'] = BTS["Blacksmithing"],
	['Cn'] = BTS["Enchanting"],
	['Ce'] = BTS["Engineering"],
	['Cj'] = BTS["Jewelcrafting"],
	['Cl'] = BTS["Leatherworking"],
	['Ct'] = BTS["Tailoring"],
	['Cc'] = BTS["Cooking"],
	['Cf'] = BTS["First Aid"],
	['Cp'] = BTS["Poisons"],
	['Cs'] = BTS["Smelting"],
	['M'] = "採礦",
	['Ma'] = "銅礦",
	['Mb'] = "錫礦",
	['Mc'] = "銀礦",
	['Md'] = "金礦",
	['Me'] = "鐵礦",
	['Mf'] = "秘銀礦",
	['Mg'] = "真銀礦",
	['Mh'] = "黑鐵礦",
	['Mi'] = "哈卡萊瑟銀礦",
	['Mj'] = "瑟銀礦",
	['Mk'] = "富瑟銀礦",
	['Ml'] = "魔鐵礦床",
	['Mm'] = "堅鋼礦床",
	['Mn'] = "克銀礦脈",
	['H'] = "草藥",
	['S'] = "剝皮",
	['Sa'] = "野獸(等級1-10)",
	['Sb'] = "野獸(等級1-20)",
	['Sc'] = "野獸(等級20-30)",
	['Sd'] = "野獸(等級30-40)",
	['Se'] = "野獸(等級40-50)",
	['Sf'] = "野獸(等級50-60)",
	['Sg'] = "深喉獵豹‧"..BZ["Stranglethorn Vale"].."、"..BZ["Swamp of Sorrows"], -- 7428
	['Sh'] = "烏龜(等級40-60)", -- 8167
	['Si'] = "蠍子(等級40-50)", -- 8154
	['Sj'] = "蠍子(等級50-60)", -- 15408
	['Sk'] = "龍人(等級40-60+)", -- 8165
	['Sl'] = "龍人精英(等級50-60+)", -- 15412, 15414, 15415, 15416, 
	['Sm'] = "霜刃守衛者‧"..BZ["Winterspring"], -- 15422
	['Sn'] = "魔暴龍‧"..BZ["Un'Goro Crater"], -- 15417
	['So'] = "奇美拉‧"..BZ["Azshara"].."、"..BZ["Winterspring"].."、"..BZ["Dire Maul"], -- 15423
	['Sp'] = "狼(等級40-60)", -- 8368
	['Sq'] = "熊(等級50-60)", -- 15419
	['Sr'] = "蝙蝠‧"..BZ["Zul'Gurub"], -- 19767
	['Ss'] = "老虎‧"..BZ["Zul'Gurub"], -- 19768
	['St'] = "上古熔火惡犬,瑪格曼達‧"..BZ["Molten Core"], -- 17012
	['Su'] = "異種蠍‧"..BZ["Silithus"], -- 20501,20498
	['Sv'] = "翡翠四龍", -- 20381
	['Sw'] = "奧妮克希亞‧"..BZ["Onyxia's Lair"], -- 20381
	['Sy'] = "野獸‧"..BZ["Wailing Caverns"],
	['Sz'] = "紅色幼龍‧"..BZ["Wetlands"],
	['Saa'] = "小黑色幼龍‧"..BZ["Redridge Mountains"],
	['Sab'] = "綠色幼龍‧"..BZ["Swamp of Sorrows"],
	['Sac'] = "迅猛龍(等級30-40)",
	['F'] = "釣魚",
	['E'] = "分解",
	['Ea'] = "物品(等級1-20)",
	['Eb'] = "物品(等級1-10)",
	['Ec'] = "物品(等級11-15)",
	['Ed'] = "物品(等級16-20)",
	['Ee'] = "物品(等級21-30)",
	['Ef'] = "物品(等級21-25)",
	['Eg'] = "物品(等級26-30)",
	['Eh'] = "物品(等級31-40)",
	['Ei'] = "物品(等級31-35)",
	['Ej'] = "物品(等級36-40)",
	['Ek'] = "物品(等級41-50)",
	['El'] = "物品(等級41-45)",
	['Em'] = "物品(等級46-50)",
	['En'] = "物品(等級51-60)",
	['Eo'] = "史詩物品(等級51-60)",
	['Ep'] = "物品(等級57-63)",
	['Eq'] = "物品(等級64+)",
	['Er'] = "物品(等級57+)",
	['Es'] = "史詩物品(等級57+)",
	['G'] = "採集",
	['P'] = "偷竊",
	['Q'] = "任務",
	['Qa'] = "聯盟任務",
	['Qh'] = "部落任務",
	['T'] = "訓練師",
	['Ts'] = "專職訓練師",
	['X'] = "尚無資料",
	['R'] = "勘探",
	['U'] = "未知",
}

TradeskillInfo.vars.zones = {
	[1] = BZ["Alterac Mountains"],
	[2] = BZ["Arathi Highlands"],
	[3] = BZ["Ashenvale"],
	[4] = BZ["Azshara"],
	[5] = BZ["Badlands"],
	[6] = BZ["Blackrock Depths"],
	[7] = BZ["Blasted Lands"],
	[8] = BZ["Burning Steppes"],
	[9] = BZ["Darkshore"],
	[10] = BZ["Darnassus"],
	[11] = BZ["Desolace"],
	[12] = BZ["Dire Maul"],
	[13] = BZ["Dun Morogh"],
	[14] = BZ["Durotar"],
	[15] = BZ["Duskwood"],
	[16] = BZ["Dustwallow Marsh"],
	[17] = BZ["Eastern Plaguelands"],
	[18] = BZ["Elwynn Forest"],
	[19] = BZ["Felwood"],
	[20] = BZ["Feralas"],
	[21] = BZ["Gnomeregan"],
	[22] = BZ["Hillsbrad Foothills"],
	[23] = BZ["Ironforge"],
	[24] = BZ["Loch Modan"],
	[25] = BZ["Moonglade"],
	[26] = BZ["Mulgore"],
	[27] = BZ["Naxxramas"],
	[28] = BZ["Orgrimmar"],
	[29] = BZ["Redridge Mountains"],
	[30] = BZ["Ruins of Ahn'Qiraj"],
	[31] = BZ["Silithus"],
	[32] = BZ["Silverpine Forest"],
	[33] = BZ["Stonetalon Mountains"],
	[34] = BZ["Stormwind City"],
	[35] = BZ["Stranglethorn Vale"],
	[36] = BZ["Swamp of Sorrows"],
	[37] = BZ["Tanaris"],
	[38] = BZ["Teldrassil"],
	[39] = BZ["The Barrens"],
	[40] = BZ["The Hinterlands"],
	[41] = BZ["Thousand Needles"],
	[42] = BZ["Thunder Bluff"],
	[43] = BZ["Tirisfal Glades"],
	[44] = BZ["Un'Goro Crater"],
	[45] = BZ["Undercity"],
	[46] = BZ["Wailing Caverns"],
	[47] = BZ["Western Plaguelands"],
	[48] = BZ["Westfall"],
	[49] = BZ["Wetlands"],
	[50] = BZ["Winterspring"],
	[51] = BZ["Stratholme"],
	[52] = BZ["Scholomance"],
-- 燃燒的遠征	
	[53] = BZ["Hellfire Peninsula"],
	[54] = BZ["Eversong Woods"],
	[55] = BZ["Silvermoon City"],
	[56] = BZ["Karazhan"],
	[57] = BZ["Azuremyst Isle"],
	[58] = BZ["The Exodar"],
	[59] = BZ["Blade's Edge Mountains"],
	[60] = BZ["Shattrath City"],
	[61] = BZ["Netherstorm"],
	[62] = BZ["Ghostlands"],
	[63] = BZ["Old Hillsbrad Foothills"],
	[64] = BZ["Bloodmyst Isle"],
	[65] = BZ["Shadowmoon Valley"],
	[66] = BZ["Terokkar Forest"],
	[67] = BZ["Zangarmarsh"],
	[68] = BZ["Deadwind Pass"],
	[69] = BZ["Nagrand"],
	[70] = BZ["Black Temple"],
	[71] = BZ["Hyjal Summit"],
	[72] = BZ["Isle of Quel'Danas"],
}

TradeskillInfo.vars.factions = {
	[1] = FACTION_ALLIANCE,
	[2] = FACTION_HORDE,
	[3] = "",
	[4] = BF["Argent Dawn"],
	[5] = BF["Cenarion Circle"],
	[6] = BF["Thorium Brotherhood"],
	[7] = BF["Timbermaw Hold"],
	[8] = BF["Zandalar Tribe"],
-- 燃燒的遠征
	[9] = BF["Keepers of Time"],
	[10] = BF["The Scale of the Sands"],
	[11] = BF["The Violet Eye"],
	[12] = BF["Cenarion Expedition"],
	[13] = BF["Sporeggar"],
	[14] = BF["Thrallmar"],
	[15] = BF["Honor Hold"],
	[16] = BF["The Mag'har"],
	[17] = BF["Kurenai"],
	[18] = BF["The Consortium"],
	[19] = BF["The Scryers"],
	[20] = BF["The Aldor"],
	[21] = BF["The Sha'tar"],
	[22] = BF["Lower City"],
	[23] = BF["Ashtongue Deathsworn"],
	[24] = BF["Shattered Sun Offensive"],
}
-- Kurenai / The Mag'har
-- Honor Hold / Thrallmar
-- The Scryers / The Aldor

TradeskillInfo.vars.vendors = {
--  "名稱|區域|陣營|座標|comment"
	[1] = "阿比蓋爾·沙伊爾|43|2|61,52",
	[2] = "安迪爾·風矛|31|5|63,50",
	[3] = "煉金師匹斯特蘇格|37|3|51,27",
	[4] = "亞歷山德拉·波利羅|34|1|43,74",
	[5] = "奧格諾恩|45|2|52,74",
	[6] = "艾米·達文波特|29|1|29,47",
	[7] = "安德魯·希爾伯特|32|2|43,40",
	[8] = "安多德·法德蘭|2|1|45,47",
	[9] = "銀色黎明軍需官哈薩娜|43|4|83,68",
	[10] = "銀色黎明軍需官萊斯巴克|47|4|43,84",
	[11] = "巴萊·洛克維|16|2|36,31",
	[12] = "拜爾|19|2|35,53",
	[13] = "巴納拉許|36|2|45,57",
	[14] = "布里莫|4|3|46,90",
	[15] = "布里克雷茲·古斯提|35|3|28,77",
	[16] = "布雷茲里克·巴克舒特|37|3|52,28",
	[17] = "布里茲提克|15|3|18,54",
	[18] = "伯布斯·鋼軸|23|1|40,34",
	[19] = "博亞|28|2|63,51",
	[20] = "布琳娜·星光|20|1|89,46",
	[21] = "布洛金|1|3|38,39",
	[22] = "布隆克|20|2|76,43",
	[23] = "凱薩琳·利蘭|34|1|46,59",
	[24] = "克里斯多夫·傑弗寇特|22|2|63,19",
	[25] = "克萊德·蘭薩爾|29|1|89,70",
	[26] = "康斯坦茨·布里斯博埃斯|43|2|52,55",
	[27] = "布魯斯下士|35|1|38,3",
	[28] = "怯懦的克羅斯比|35|3|27,83",
	[29] = "克拉賽·斯巴克斯|35|3|28,77",
	[30] = "達利亞|3|1|36,52",
	[31] = "丹尼爾·巴特萊特|45|2|64,38",
	[32] = "丹尼勒·希普斯迪|15|1|76,46",
	[33] = "達利安·辛格|34|1|30,68",
	[34] = "旅店老板達納爾|25|3|52,33",
	[35] = "迪菲亞奸商|48|1|44,68",
	[36] = "德尼布·沃克|2|1|27,59",
	[37] = "德拉克·奈特弗|22|2|62,20",
	[38] = "迪爾格·奎克里弗|37|3|53,28",
	[39] = "德拉克·卷刃|24|1|36,49",
	[40] = "德拉克·林格雷|18|1|83,67",
	[41] = "德魯納·烈酒|2|1|46,47",
	[42] = "愛琳娜|10|1|64,22",
	[43] = "埃姆盧爾·里克努斯|23|1|60,38",
	[44] = "艾瑞卡·塔特|34|1|76,37",
	[45] = "埃文·維布魯|50|3|61,38",
	[46] = "弗拉德|49|1|26,26",
	[47] = "菲爾丹|10|1|48,21",
	[48] = "加格斯普吉特|39|3|63,36",
	[49] = "考格斯賓|23|1|68,43",
	[50] = "喬治·坎達特|22|2|91,39",
	[51] = "卡爾拉什|36|2|46,52",
	[52] = "格魯克卡恩|16|2|36,31",
	[53] = "吉蓋特·火油|40|3|35,39",
	[54] = "吉科希斯|37|3|67,22",
	[55] = "吉娜·馬克葛瑞格|48|1|57,54",
	[56] = "格勞瑞亞·菲米爾|29|1|27,44",
	[57] = "格里克斯·布魯維特|35|3|28,77",
	[58] = "格納茲·槍焰|35|3|51,35",
	[59] = "格雷塔·甘特|13|1|31,44",
	[60] = "格瑞姆塔克|14|2|51,42",
	[61] = "哈格魯斯|28|2|46,46",
	[62] = "哈蒙·卡文|2|1|47,48",
	[63] = "哈爾甘|40|1|14,45",
	[64] = "哈克蘭·月林|3|1|51,67",
	[65] = "哈魯恩·暗紋|3|1|18,59",
	[66] = "哈恩·長線|26|2|48,55",
	[67] = "海爾丹·風歌|9|1|37,56",
	[68] = "海倫妮亞·奧德恩|16|1|66,52",
	[69] = "西米克|50|3|61,39",
	[70] = "哈拉瑪|39|2|52,30",
	[71] = "加貝|37|3|67,22",
	[72] = "詹迪亞|41|2|46,51",
	[73] = "詹奈特·霍莫斯|11|1|66,7",
	[74] = "杉多爾·迅蹄|20|2|74,43",
	[75] = "加諾斯·鐵心|2|1|46,48",
	[76] = "加奎琳娜·德拉米特|35|3|36,11",
	[77] = "賈斯·法拉恩|17|3|81,58",
	[78] = "加茲里克|5|3|42,53",
	[79] = "基達|33|2|47,62",
	[80] = "吉娜比克·鐵線|49|1|8,56",
	[81] = "傑薩拉·考迪爾|34|1|44,64",
	[82] = "金克·鐵鉤|41|3|77,76",
	[83] = "約瑟夫·摩爾|45|2|71,59",
	[84] = "朱比|4|3|45,91",
	[85] = "祖恩哈|2|2|73,36",
	[86] = "祖塔克|35|3|27,77",
	[87] = "凱塔·深爐|34|1|56,17",
	[88] = "卡爾丹·暗月|46|3|",
	[89] = "卡妮亞|31|5|52,40",
	[90] = "基納|2|2|74,33",
	[91] = "凱爾希·楊斯|35|3|28,74",
	[92] = "肯多爾·卡邦卡|34|1|75,37",
	[93] = "卡拉·深水|24|1|40,39",
	[94] = "霍勒|34|1|56,60|週期",
	[95] = "吉克尼庫|39|3|42,38",
	[96] = "基利恩·薩納森|32|2|33,18",
	[97] = "基爾克斯|39|3|63,38",
	[98] = "基瑞娜|11|2|51,54",
	[99] = "基薩斯|28|2|53,37",
	[100] = "克納茲·槍焰|35|3|51,35",
	[101] = "考吉爾德|28|2|56,34",
	[102] = "克雷貢·塔爾松|48|1|37,89",
	[103] = "克林科·古德斯迪爾|37|3|52,29",
	[104] = "庫爾維亞|33|2|46,60",
	[105] = "卡茲克斯|15|3|81,21",
	[106] = "賴爾德|9|1|37,44",
	[107] = "拉爾丹|3|1|34,49",
	[108] = "雷歐·薩恩|32|2|54,82",
	[109] = "萊納德·波特|47|1|43,84",
	[110] = "安多洛夫中將|30|5|",
	[111] = "莉蕾|32|2|43,50",
	[112] = "林迪·拉波尼|22|1|51,61",
	[113] = "莉茲白·克倫威爾|45|2|81,31",
	[114] = "洛加納斯|20|1|33,44",
	[115] = "羅克圖斯·暗契|6|6|",
	[116] = "羅賴爾·冬歌|25|3|48,40",
	[117] = "瑪格努斯·霜鳴|47|3|68,77|任務",
	[118] = "曼胡|42|2|44,45",
	[119] = "瑪林·斯萬|22|2|62,21",
	[120] = "瑪里甘|19|1|62,26",
	[121] = "瑪麗亞·盧米爾|34|1|46,78",
	[122] = "馬丁·塔布雷|43|2|66,59",
	[123] = "馬薩特·坦德|36|3|25,31",
	[124] = "工匠大師歐瑪利安|27|3|",
	[125] = "馬弗拉林|9|1|37,41",
	[126] = "瑪茲克·斯奈普沙特|35|3|28,75",
	[127] = "梅羅什|19|7|66,3",
	[128] = "米莎·楊斯|22|1|49,55",
	[129] = "米利爾·格里高利|45|2|71,30",
	[130] = "米希塔|31|5|50,36",
	[131] = "莫塔爾|41|2|45,50",
	[132] = "莫爾蘭|11|2|56,56",
	[133] = "邁斯林迪爾|10|1|61,18",
	[134] = "納爾·迷霧行者|42|2|52,52",
	[135] = "納姆杜|21|1|",
	[136] = "南達·布拉森|22|1|50,57",
	[137] = "納斯塔姆·卡布彬|45|2|69,40|週期",
	[138] = "納爾基·長刀|2|1|46,48",
	[139] = "納爾克|35|3|28,74",
	[140] = "納塔·黎明行者|42|2|45,40",
	[141] = "奈爾加|44|3|43,8",
	[142] = "耐里斯特|35|2|32,29",
	[143] = "尼莎·影歌|38|1|56,92",
	[144] = "妮娜·萊特布魯|7|1|67,18",
	[145] = "尼奧瑪|40|1|13,43",
	[146] = "奈歐瑪|38|1|57,60",
	[147] = "奧克瑪爾|16|2|36,31",
	[148] = "老人海明威|35|3|27,77",
	[149] = "奧索·莫吉克|40|2|80,80",
	[150] = "埃瑞克|23|1|43,29",
	[151] = "本尼·考伯賓奇|28|2|53,67|週期",
	[152] = "普拉格|6|3|",
	[153] = "普拉特·馬克格魯比|20|1|30,42",
	[154] = "琦亞|50|3|61,37",
	[155] = "軍需官米蘭達·布利洛克|17|4|82,60",
	[156] = "拉尼克|39|3|62,39",
	[157] = "拉恩·火翼|24|1|36,46",
	[158] = "拉爾塔|36|2|45,57",
	[159] = "雷克奇茲|35|3|28,76",
	[160] = "商人林沃斯|35|8|15,16",
	[161] = "里茲·飛矢|1|3|47,35",
	[162] = "羅奈爾得·伯奇|45|2|63,44",
	[163] = "魯普·火油|40|3|34,38",
	[164] = "塞諾里奧|10|1|63,22",
	[165] = "希爾薩|42|2|44,59|週期",
	[166] = "蘇瓦·迷霧行者|42|2|56,48",
	[167] = "珊蒂瑞亞|3|1|50,67",
	[168] = "山吉斯|28|2|69,30",
	[169] = "希恩德拉·深草|20|2|74,43",
	[170] = "辛德拉聖職者|12|3|",
	[171] = "舍瑞·希普斯迪|15|1|76,46",
	[172] = "斯穆德·雷木|22|3|84,19",
	[173] = "蘇雷·漿泡|23|1|67,55",
	[174] = "索維克|28|2|75,25",
	[175] = "斯圖亞特·弗雷明|49|1|8,58",
	[176] = "蘇米|28|2|82,23",
	[177] = "超級商人680型|11|3|41,79|不定時",
	[178] = "達瑪爾|28|2|63,44",
	[179] = "坦斯·泥泡|23|1|48,6",
	[180] = "塔班·熟麥|39|2|56,32",
	[181] = "塔里查|39|2|52,31",
	[182] = "薩德烏斯·韋伯|45|2|62,61",
	[183] = "薩瑞恩·博丁|18|1|42,67",
	[184] = "提爾利·草鬚|23|1|61,44",
	[185] = "特魯克·蠻鬃|40|1|14,42",
	[186] = "吞克|2|2|74,35",
	[187] = "尤薩恩|3|1|50,67",
	[188] = "尤希爾|10|1|56,24",
	[189] = "尤索克|35|2|31,28",
	[190] = "維安|10|1|58,15",
	[191] = "瓦爾達隆|9|1|38,41",
	[192] = "瓦古斯|31|5|51,39",
	[193] = "維尼克斯|33|3|58,52",
	[194] = "貿易機器人1000型|11|3|61,38|不定時",
	[195] = "維哈爾|35|2|32,29",
	[196] = "薇薇安娜|20|1|31,43",
	[197] = "維茲格里克|37|3|51,27",
	[198] = "溫納·銀鬚|49|1|26,26",
	[199] = "維爾格·厚刃|43|2|83,70",
	[200] = "維克塔|3|2|12,34",
	[201] = "沃爾布|20|2|74,43",
	[202] = "瓦爾克|39|2|53,31",
	[203] = "烏蘭|11|2|27,70",
	[204] = "烏莫爾特|23|1|33,67|週期",
	[205] = "溫納·黑鬃|26|2|46,58",
	[206] = "山達·細鬚|24|1|83,63",
	[207] = "克森圖|28|2|57,53",
	[208] = "希茲克·古斯提|35|3|28,76",
	[209] = "希茲爾·菲茲波特|50|3|61,39",
	[210] = "猶納達|39|2|45,60",
	[211] = "尤卡·斯庫比格特|8|3|66,23",
	[212] = "薩恩·刀鏈|22|3|84,18",
	[213] = "札諾克|31|3|82,18",
	[214] = "詹蘇爾|14|2|57,73",
	[215] = "薩瑞娜·克羅姆溫德|35|3|28,75",
	[216] = "札爾夫|39|2|53,30",
	[217] = "吉克希爾|22|3|61,21|流浪",
	[218] = "索爾賓·范達瑟|20|3|45,43|任務",
	[219] = "紅衣戰鬥法師|51|3",
	[220] = "鬼靈研究員|52|3",
	[221] = "通靈學院黑暗召喚師|52|3",
	[222] = "黑石軍官|8|3",
	[223] = "食屍搶奪者|51|3",
-- 燃燒的遠征
	[224] = "笛娜|55|2|56,50",
	[225] = "伊恩|60|3|66,68",
	[226] = "奈伊|58|1|64,68",
	[227] = "波爾土|69|1|53,72",
	[228] = "瑪沙爾·葛歐洽|69|2|55,37",
	[229] = "安德利恩·暗紋紡織者|60|3|66,68",
	[230] = "阿羅德|65|2|56,58",
	[231] = "那斯馬拉·月歌|60|3|66,69",
	[232] = "蓋吉·魔紋編織者|60|3|66,69",
	[233] = "卡瑞阿斯|61|18|44,34",
	[234] = "納克杜|60|22|62,69",
	[235] = "軍需官伊恩達瑞|60|20|48,26",
	[236] = "軍需官伊奴瑞歐|60|19|61,64",
	[237] = "費德萊恩·迅矛|67|12|79,64",
	[238] = "編織者姆賀魯|67|1|41,28",
	[239] = "祖瑞伊|67|2|85,55",
	[240] = "卡爾侖|56|11|",
	[241] = "克瑞克·碎岩|65|2|29,31",
	[242] = "路歐露娜|67|1|69,50",
	[243] = "艾朗·赫曼|60|3|64,71",
	[244] = "阿拉斯|58|1|61,90",
	[245] = "艾利丹|55|2|80,36",
	[246] = "瑪利·石手|65|1|37,55",
	[247] = "拉霍克|53|2|53,38",
	[248] = "物流幹部烏賴克|53|15|57,63",
	[249] = "軍需官優爾古隆|53|14|55,38",
	[250] = "軍需官|69|3|41,44|占領哈剌",
	[251] = "哈爾隆恩|67|1|68,47",
	[252] = "先知賈尼迪|67|2|32,52",
	[253] = "達卡·萊芭|59|2|51,58",
	[254] = "阿勒米|37|9|64,58",
	[255] = "阿拉瑪多爾|60|21|50,42",
	[256] = "麥卡|67|13|18,51",
	[257] = "商人娜拉蘇|69|17|55,75",
	[258] = "艾歐塔|58|1|28,63",
	[259] = "米拉瑞斯|55|2|67,20",
	[260] = "史卡瑞|60|3|46,20",
	[261] = "煉金術師古利伯|53|1|54,66",
	[262] = "藥劑師安拓維奇|53|2|52,37",
	[263] = "莉利·長爭|66|1|58,53",
	[264] = "波爾寇|53|1|22,39",
	[265] = "艾瑞斯拉|53|2|26,62",
	[266] = "拜斯特|53|2|56,41|Mobile",
	[267] = "凱斯頓|53|1|54,64",
	[268] = "那卡|67|3|79,63",
	[269] = "藍卓阿蘭妮絲|54|2|49,47",
	[270] = "大廚師瑪戴爾|62|2|48,31",
	[271] = "旅店老闆格瑞伊卡|66|2|49,45",
	[272] = "物資商人米歐斯|66|1|56,53",
	[273] = "杜巴|67|1|42,28",
	[274] = "坎巴利卡|67|2|32,49",
	[275] = "法蘇|64|1|54,56",
	[276] = "旅店老闆畢瑞比|66|1|57,53",
	[277] = "阮勾爾|66|2|49,46",
	[278] = "屠夫奴拉|69|2|58,36",
	[279] = "烏銳庫|69|1|56,73",
	[280] = "獨眼廚師|53|2|55,41",
	[281] = "希德·琳巴迪|53|1|54,64",
	[282] = "阿瑞德|58|1|45,26",
	[283] = "吉藍迪斯|55|2|91,74",
	[284] = "尼爾·奧雷|49|1|11,57",
	[285] = "菲利卡|28|2|51,36|Roving",
	[286] = "艾德娜·穆比|34|1|58,61",
	[287] = "巴比克·齒輪|23|1|47,27",
	[288] = "菲利希亞·杜安|45|2|64,50",
	[289] = "沙迪·迷霧行者|42|2|40,64",
	[290] = "學徒達瑞爾斯|68|11|47,75",
	[291] = "卡拉恩|53|2|57,38",
	[292] = "塔蒂安娜|53|1|55,64",
	[293] = "菲娜|58|1|54,91",
	[294] = "維格斯·亮星|60|3|65,69",
	[295] = "亞斯恩|55|2|76,40",
	[296] = "達茍·煉鐵者|65|1|37,54",
	[297] = "扎米·費雪|53|2|61,82",
	[298] = "風之貿易者拉斯蕊|60|3|72,30",
	[299] = "樂柏斯基|53|1|56,66",
	[300] = "捕獲的地精|67|2|33,48",
	[301] = "糧食供應者·奈斯拉|69|16|54,37",
	[302] = "哈弗瑞|58|1|66,75",
	[303] = "莎拉達|55|2|84,79",
	[304] = "克洛·絲壯|60|3|67,67",
	[305] = "湯瑪斯·陽斯|63|3|",
	[306] = "喬諾·杜伏恩|67|3|78,66",
	[307] = "伏德希恩|53|1|24,38",
	[308] = "安杜姆|37|10|58,59",
	[309] = "年邁的達拉然法師|63|3|",
	[310] = "馬岱姆·魯比|60|3|63,70",
	[311] = "伊歐糜斯|58|1|39,40",
	[312] = "萊娜|55|2|69,24",
	[313] = "歐庫諾|70|23",
	[314] = "隱多米|71|10",
	[315] = "艾達拉·晨路|72|24|47,30",
	[316] = "夏尼|72|24|51,33",
	[317] = "伊斯亞爾|56|18",
	[318] = "波斯塔茲|69|18|30,57",
}

TradeskillInfo_Translations = nil

